@ECHO OFF
echo *******************************************
echo *   NRCS Database Update - Febuary 2011   *
echo *******************************************
echo.

set valid=0

:check-database
echo.
echo Checking database location...
set root="%~dp0..\..\..\..\..\"
if not exist %root%\USDA\WEPS\Databases\NRCS goto check-database-error
echo Database: OK
set "db=%~dp0..\
goto check-payload

:check-database-error
echo ERROR 100: NRCS database not found.  The update must be run from inside the NRCS database.
goto error

:check-payload
echo.
echo Checking update contents...
set payload=%~dp0\payload
if not exist "%payload%" goto check-payload-error
echo Contents: OK
goto prepare

:check-payload-error
echo ERROR 101: %payload% not found.
goto error


:prepare
echo.
echo Prepareing database for update...
del /f /q "%db%RUSLE2_Translation.txt"
del /f /q "%db%crops\NRCS Crops*.zip"
del /f /q "%db%operations\NRCS Operations*.zip"
del /f /q "%db%windgen\*.idx"
del /f /q "%db%windgen\*.wdb"
rd /q /s "%db%gis\CLIGEN_20100106"
rd /q /s "%db%gis\WINDGEN_20102907"


:update
echo.
echo Updating database files...
xcopy /S /V /y "%payload%\*" "%db%"


:done
echo.
echo Done.
echo.
echo Database update completed with no errors.
goto exit

:error
echo Database update failed.


:exit
echo.
echo Press any key to close.
pause > nul
rd /q /s %~dp0